# Gio::DBusSignalInfo Class Reference

Stores information about a signal on a D-Bus interface. More...

`#include <giomm/dbusintrospection.h>`

List of all members.

## Public Member Functions

void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GDBusSignalInfo* | gobj ()
| Provides access to the underlying C instance.
const GDBusSignalInfo* | gobj () const
| Provides access to the underlying C instance.
GDBusSignalInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Protected Member Functions

| DBusSignalInfo ()
void | operator delete (void*, size_t)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gio::DBusSignalInfo > | wrap (GDBusSignalInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Stores information about a signal on a D-Bus interface.

Since glibmm 2.26:

## Constructor & Destructor Documentation

Gio::DBusSignalInfo::DBusSignalInfo | ( |  | ) | `[protected]`

## Member Function Documentation

GDBusSignalInfo* Gio::DBusSignalInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GDBusSignalInfo* Gio::DBusSignalInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusSignalInfo* Gio::DBusSignalInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gio::DBusSignalInfo::operator delete | ( | void * | ,
|  | size_t |  |
| ) |  |  | `[protected]`

void Gio::DBusSignalInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBusSignalInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBusSignalInfo > wrap | ( | GDBusSignalInfo * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.